Bug 88291 - [EFL] Implement to support layout test of notifications.
Summary: [EFL] Implement to support layout test of notifications.
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 73544
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 22:42 PDT by Kihong Kwon
Modified: 2017-03-11 10:36 PST (History)
7 users (show)

See Also:


Attachments
Patch. (14.29 KB, patch)
2012-06-05 04:55 PDT, Kihong Kwon
gyuyoung.kim: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kihong Kwon 2012-06-04 22:42:37 PDT
These are implementation to support layout test on the EFL.
(LayoutTests/fast/notifications)
Comment 1 Kihong Kwon 2012-06-05 04:55:26 PDT
Created attachment 145760 [details]
Patch.

There are needed to land bug #73544 for building this.
Comment 2 Chris Dumez 2012-09-04 23:05:22 PDT
Comment on attachment 145760 [details]
Patch.

We usually dump information on DRT side, not on WebKit side. Why are you doing it differently?
Comment 3 Gyuyoung Kim 2012-09-04 23:26:02 PDT
Comment on attachment 145760 [details]
Patch.

View in context: https://bugs.webkit.org/attachment.cgi?id=145760&action=review

> Source/WebKit/efl/WebCoreSupport/NotificationPresenterClientEfl.cpp:68
> +            printf("DESKTOP NOTIFICATION: contents at %s\n", notification->url().string().utf8().data());

As above comment, we have print console message in DRT side. Please move this to DRT side.

> Source/WebKit/efl/WebCoreSupport/NotificationPresenterClientEfl.h:52
> +    static bool dumpNotification;

We don't need to use this flag if you move console message to DRT side.
Comment 4 Michael Catanzaro 2017-03-11 10:36:33 PST
Closing this bug because the EFL port has been removed from trunk.

If you feel this bug applies to a different upstream WebKit port and was closed in error, please either update the title and reopen the bug, or leave a comment to request this.